ID CVE-2020-5396
Summary VMware GemFire versions prior to 9.10.0, 9.9.2, 9.8.7, and 9.7.6, and VMware Tanzu GemFire for VMs versions prior to 1.11.1 and 1.10.2, when deployed without a SecurityManager, contain a JMX service available which contains an insecure default configuration. This allows a malicious user to create an MLet mbean leading to remote code execution.
References
Vulnerable Configurations
  • cpe:2.3:a:vmware:gemfire:9.7.0:*:*:*:*:*:*:*
    cpe:2.3:a:vmware:gemfire:9.7.0:*:*:*:*:*:*:*
  • cpe:2.3:a:vmware:gemfire:9.8.0:*:*:*:*:*:*:*
    cpe:2.3:a:vmware:gemfire:9.8.0:*:*:*:*:*:*:*
  • cpe:2.3:a:vmware:gemfire:9.9.0:*:*:*:*:*:*:*
    cpe:2.3:a:vmware:gemfire:9.9.0:*:*:*:*:*:*:*
  • cpe:2.3:a:vmware:tanzu_gemfire_for_virtual_machines:1.10.0:*:*:*:*:*:*:*
    cpe:2.3:a:vmware:tanzu_gemfire_for_virtual_machines:1.10.0:*:*:*:*:*:*:*
  • cpe:2.3:a:vmware:tanzu_gemfire_for_virtual_machines:1.11.0:*:*:*:*:*:*:*
    cpe:2.3:a:vmware:tanzu_gemfire_for_virtual_machines:1.11.0:*:*:*:*:*:*:*
CVSS
Base: 6.5 (as of 04-08-2020 - 19:59)
Impact:
Exploitability:
CWE CWE-862
CAPEC
Access
VectorComplexityAuthentication
NETWORK LOW SINGLE
Impact
ConfidentialityIntegrityAvailability
PARTIAL PARTIAL PARTIAL
cvss-vector via4 AV:N/AC:L/Au:S/C:P/I:P/A:P
refmap via4
confirm https://tanzu.vmware.com/security/cve-2020-5396
Last major update 04-08-2020 - 19:59
Published 31-07-2020 - 20:15
Last modified 04-08-2020 - 19:59
Back to Top